org.apache.maven.scm.provider.clearcase.command.remove

## Class ClearCaseRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand
    - - org.apache.maven.scm.provider.clearcase.command.remove.ClearCaseRemoveCommand

All Implemented Interfaces:
  Command, ClearCaseCommand

    public class ClearCaseRemoveCommand
    extends AbstractRemoveCommand
    implements ClearCaseCommand

Author:
  Wim Deblauwe, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ClearCaseRemoveCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(ScmLogger logger, ScmFileSet scmFileSet)`
`protected ScmResult` `executeRemoveCommand(ScmProviderRepository scmProviderRepository, ScmFileSet scmFileSet, String string)`

### Methods inherited from class org.apache.maven.scm.command.remove.AbstractRemoveCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseRemoveCommand

    public ClearCaseRemoveCommand()

### Method Detail

#### executeRemoveCommand

    protected ScmResult executeRemoveCommand(ScmProviderRepository scmProviderRepository,
                                             ScmFileSet scmFileSet,
                                             String string)
                                      throws ScmException

Specified by:
  `executeRemoveCommand` in class `AbstractRemoveCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(ScmLogger logger,
                                                                             ScmFileSet scmFileSet)